#include "ChallengeListOverrideItemData.h"


FChallengeListOverrideItemData::FChallengeListOverrideItemData()
{
	this->RepetitionOverride = 0;
	this->NeededProgressionOverride = 0;
	this->NeededProgressionsOverride = TSet<int32>();
	this->SpecialBehaviourOverride = FSpecialBehaviourItem{};
	this->ConditionsOverride = TArray<FChallengeConditionItem>();
	this->ParametersOverride = TArray<FChallengeQuestParameter>();
	this->ClientObjectiveInfoOverride = FText::GetEmpty();
	this->ClientObjectiveInfoOverrideParameters = TArray<EQuestLocalizationParameter>();
	this->QuestId = TEXT("");
	this->ChallengeType = EChallengeType::Basic;
	this->CountMatch = false;
}
